---
title: 'Element: DOMActivate event'
slug: Web/API/Element/DOMActivate_event
tags:
  - API
  - DOM
  - Deprecated
  - Element
  - Event
  - Input
  - Mouse Events
  - MouseEvent
  - Reference
  - activate event
  - onactivate
---
<p>{{APIRef}}</p>

<div>{{Deprecated_Header}}</div>

<p>The <code><strong>DOMActivate</strong></code> event is fired at an element when it becomes active, such as when it is clicked on using the mouse or a keypress is used to navigate to it.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("MouseEvent")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<pre class="brush: html notranslate">&lt;svg xmlns="http://www.w3.org/2000/svg" version="1.2" baseProfile="tiny"
     xmlns:ev="http://www.w3.org/2001/xml-events"
     width="6cm" height="5cm" viewBox="0 0 600 500"&gt;

  &lt;desc&gt;Example: invoke an ECMAScript function from a DOMActivate event&lt;/desc&gt;

  &lt;!-- ECMAScript to change the radius --&gt;
  &lt;script type="application/ecmascript"&gt;&lt;![CDATA[
    function change(evt) {
      var circle = evt.target;
      var currentRadius = circle.getFloatTrait("r");
      if (currentRadius == 100)
        circle.setFloatTrait("r", currentRadius * 2);
      else
        circle.setFloatTrait("r", currentRadius * 0.5);
    }
  ]]&gt;&lt;/script&gt;

  &lt;!-- Act on each DOMActivate event --&gt;
  &lt;circle cx="300" cy="225" r="100" fill="red"&gt;
    &lt;handler type="application/ecmascript" ev:event="DOMActivate"&gt; change(evt); &lt;/handler&gt;
  &lt;/circle&gt;

  &lt;text x="300" y="480" font-family="Verdana" font-size="35" text-anchor="middle"&gt;
    Activate the circle to change its size
  &lt;/text&gt;
&lt;/svg&gt;
</pre>

<p>{{EmbedLiveSample("Examples", 640, 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('UI Events', '#event-type-DOMActivate', 'DOMActivate')}}</td>
   <td>{{Spec2('UI Events')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.DOMActivate_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MouseEvent")}}</li>
 <li>{{domxref("Element/mousedown_event", "mousedown")}}</li>
 <li>{{domxref("Element/mouseup_event", "mouseup")}}</li>
 <li>{{domxref("Element/mousemove_event", "mousemove")}}</li>
</ul>
